Loading...
Searching...
No Matches
RepeatRuleDateTime Class Reference
Inheritance diagram for RepeatRuleDateTime:
[legend]
Collaboration diagram for RepeatRuleDateTime:
[legend]

## Public Member Functions

| __construct ($date=null, $dtz=null, $is_date=null)
| __toString ()
| AsDate ()
| setAsFloat ()
| isFloating ()
| isDate ()
| setAsDate ()
| modify ( $interval)

## Static Public Member Functions

static | withFallbackTzid ( $date, $fallback_tzid)

## Static Public Attributes

static | $Format = 'c'

## Private Attributes

| $tzid
| $is_date

## Static Private Attributes

static | $UTCzone

## Detailed Description

Wrap the DateTime class to make it friendlier to passing in random strings from iCalendar objects, and especially the random stuff used to identify timezones. We also add some utility methods and stuff too, in order to simplify some of the operations we need to do with dates.

Definition at line 210 of file RRule.php.

## Constructor & Destructor Documentation

## __construct()

RepeatRuleDateTime::__construct | ( |  | $date = null,
|  |  | $dtz = null,
|  |  | $is_date = null )

Definition at line 217 of file RRule.php.

## Member Function Documentation

## __toString()

RepeatRuleDateTime::__toString | ( |  | ) |

Definition at line 326 of file RRule.php.

## AsDate()

RepeatRuleDateTime::AsDate | ( |  | ) |

Definition at line 331 of file RRule.php.

## isDate()

RepeatRuleDateTime::isDate | ( |  | ) |

Definition at line 345 of file RRule.php.

## isFloating()

RepeatRuleDateTime::isFloating | ( |  | ) |

Definition at line 341 of file RRule.php.

## modify()

RepeatRuleDateTime::modify | ( |  | $interval | ) |

If this is a localised time then this will return the UTC equivalent. If it is a floating time, then you will just get the floating time. If it is a date then it will be returned as a date. Note that if it is a localised date then the answer will still be the UTC equivalent but only the date itself will be returned.

If return_floating_times is true then all dates will be returned as floating times and UTC will not be returned.

See also
  RepeatRuleDateTime::UTC()

Returns the string following a property name for an RFC5545 DATE-TIME value.

Returns a 1 if this year is a leap year, otherwise a 0

Parameters

  int | $year | The year we are quizzical about.

Returns
  1 if this is a leap year, 0 otherwise

Returns the number of days in a year/month pair

Parameters

  int | $year |
  int | $month |

Returns
  int the number of days in the month

Definition at line 356 of file RRule.php.

## setAsDate()

RepeatRuleDateTime::setAsDate | ( |  | ) |

Definition at line 350 of file RRule.php.

## setAsFloat()

RepeatRuleDateTime::setAsFloat | ( |  | ) |

Definition at line 336 of file RRule.php.

## withFallbackTzid()

RepeatRuleDateTime::withFallbackTzid | ( |  | $date,
|  |  | $fallback_tzid )

static

Definition at line 313 of file RRule.php.

## Member Data Documentation

## $Format

RepeatRuleDateTime::$Format = 'c'

static

Definition at line 212 of file RRule.php.

## $is_date

RepeatRuleDateTime::$is_date

private

Definition at line 215 of file RRule.php.

## $tzid

RepeatRuleDateTime::$tzid

private

Definition at line 214 of file RRule.php.

## $UTCzone

RepeatRuleDateTime::$UTCzone

static private

Definition at line 213 of file RRule.php.

The documentation for this class was generated from the following file:

- inc/RRule.php